[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [DONATE]

ERROR in ././build-steps.d/1700_install-packages detected!

Hello,

I have attempted a gateway build (15.0.1.3.4-stable) several times. Besides my current issue, I also wanted to mention the first two in case that will help someone else or be a useful addition to the documentation.

The first time it failed because I didn’t know that I needed to install build dependencies:

“sudo apt-get install git time curl apt-cacher-ng lsb-release fakeroot dpkg-dev”

This was not mentioned here:
/wiki/Dev/Build_Documentation/Physical_Isolation

I found it on the following page:
/wiki/Dev/Build_Documentation/15_full

I assume this is because most people that would even do this, probably already understand that it depends on these common tools. But some of us are still new to this.

The next time it failed because of build-steps.d/1300_create-raw-image.

After seeing the solution from Patrick in the previous forum post in this section, I decided to give it another try.

I was not sure if it mattered where I appended those to the build command. Both of them worked because they successfully bypassed that step.

The first time I used:
./whonix_build --flavor whonix-gateway-xfce --target root --build --allow-untagged true --allow-uncommitted true

The second time I used:
./whonix_build --allow-untagged true --allow-uncommitted true --flavor whonix-gateway-xfce --target root --build

The first one failed and I attempted to continue anyway. It completed, but after rebooting, it would not see the device to allow luks decryption. I am assuming this was because of a grub failure? Probably not a concern because its a symptom of the build failure, not the cause. Either way, I tried again and this time I saved the log file. I cannot figure out what is going wrong here.

Any ideas?

Thanks

## INFO: END  : whonix-setup-wizard postinst configure' '
#####################################################################
'
+ exit 0
Setting up libhunspell-1.7-0:amd64 (1.7.0-2) ...
Setting up iso-codes (4.2-1) ...
Setting up libgstreamer1.0-0:amd64 (1.14.4-1) ...
Setcap worked! gst-ptp-helper is not suid!
Setting up libcanberra0:amd64 (0.30-7) ...
Setting up libwoff1:amd64 (1.0.2-1) ...
Setting up dictionaries-common (1.28.1) ...
Setting up libgstreamer-plugins-base1.0-0:amd64 (1.14.4-2) ...
Setting up libcanberra-gtk3-0:amd64 (0.30-7) ...
Setting up libgstreamer-gl1.0-0:amd64 (1.14.4-2) ...
Setting up aspell (0.60.7~20110707-6) ...
Setting up aspell-en (2018.04.16-0-1) ...
Setting up libenchant1c2a:amd64 (1.6.0-11.1+b1) ...
Setting up libwebkit2gtk-4.0-37:amd64 (2.28.2-2~deb10u1) ...
Setting up zenity (3.30.0-2) ...
Processing triggers for desktop-file-utils (0.23-4) ...
Processing triggers for mime-support (3.62) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for libglib2.0-0:amd64 (2.58.3-2+deb10u2) ...
Processing triggers for libc-bin (2.28-10) ...
Processing triggers for man-db (2.8.5-2) ...
Setting up mate-notification-daemon (1.20.2-1) ...
Setting up msgcollector-gui (3:7.0-1) ...
Setting up whonix-shared-default-applications-gui (3:19.6-1) ...
Processing triggers for dictionaries-common (1.28.1) ...
aspell-autobuildhash: processing: en [en-common].
aspell-autobuildhash: processing: en [en-variant_0].
aspell-autobuildhash: processing: en [en-variant_1].
aspell-autobuildhash: processing: en [en-variant_2].
aspell-autobuildhash: processing: en [en-w_accents-only].
aspell-autobuildhash: processing: en [en-wo_accents-only].
aspell-autobuildhash: processing: en [en_AU-variant_0].
aspell-autobuildhash: processing: en [en_AU-variant_1].
aspell-autobuildhash: processing: en [en_AU-w_accents-only].
aspell-autobuildhash: processing: en [en_AU-wo_accents-only].
aspell-autobuildhash: processing: en [en_CA-variant_0].
aspell-autobuildhash: processing: en [en_CA-variant_1].
aspell-autobuildhash: processing: en [en_CA-w_accents-only].
aspell-autobuildhash: processing: en [en_CA-wo_accents-only].
aspell-autobuildhash: processing: en [en_GB-ise-w_accents-only].
aspell-autobuildhash: processing: en [en_GB-ise-wo_accents-only].
aspell-autobuildhash: processing: en [en_GB-ize-w_accents-only].
aspell-autobuildhash: processing: en [en_GB-ize-wo_accents-only].
aspell-autobuildhash: processing: en [en_GB-variant_0].
aspell-autobuildhash: processing: en [en_GB-variant_1].
aspell-autobuildhash: processing: en [en_US-w_accents-only].
aspell-autobuildhash: processing: en [en_US-wo_accents-only].
+ local apt_get_exit_code=0
+ apt-get -o Acquire::http::Proxy=http://127.0.0.1:3142 -o Acquire::https::Proxy=http://127.0.0.1:3142 -o Acquire::tor::Proxy=http://127.0.0.1:3142 -o Acquire::Languages=none -o Acquire::IndexTargets::deb::Contents-deb::DefaultEnabled=false -o Apt::Install-Recommends=false -o Acquire::Retries=3 -o Dpkg::Options::=--force-confnew -o Dir::Etc::sourcelist=/tmp/empty -o Dir::Etc::sourceparts=/var/lib/whonix/sources_temp_list.d --yes --no-install-recommends install whonix-shared-default-applications-gui
Reading package lists...
Building dependency tree...
Reading state information...
whonix-shared-default-applications-gui is already the newest version (3:19.6-1).
The following packages were automatically installed and are no longer required:
  rsyslog vim-common vim-tiny
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
+ sync
+ sync
+ '[' 0 = 0 ']'
+ true 'INFO: Installed '\''whonix-shared-default-applications-gui'\'', no error detected.'
+ return 0
+ set +x
INFO: Attempt to install unmet_dependency: whonix-shared-default-applications-gui done.
INFO: Found unmet dependency: whonix-gateway-default-applications-gui. Will try to manually install it for debugging...
+ true 'INFO: Running "dpkg -l | grep whonix-gateway-default-applications-gui"...'
+ dpkg -l
+ grep whonix-gateway-default-applications-gui
+ true
+ apt-cache policy whonix-gateway-default-applications-gui
+ pkg-install whonix-gateway-default-applications-gui
+ errorhandlersetup errorhandlerunchrootunpreventunmount ERR INT TERM
+ local handler signal
+ handler=errorhandlerunchrootunpreventunmount
+ shift
+ for signal in "$@"
+ trap 'errorhandlerunchrootunpreventunmount ERR' ERR
+ for signal in "$@"
+ trap 'errorhandlerunchrootunpreventunmount INT' INT
+ for signal in "$@"
+ trap 'errorhandlerunchrootunpreventunmount TERM' TERM
+ local pkg_install_item
+ pkg_install_item=whonix-gateway-default-applications-gui
+ local skip_package
+ unset skip_package
+ true 'INFO: Installing of '\''whonix-gateway-default-applications-gui'\'', because variable whonix_build_script_skip_package_install does not include it... This may take a while...'
+ local apt_get_exit_code=0
+ apt-get -o Acquire::http::Proxy=http://127.0.0.1:3142 -o Acquire::https::Proxy=http://127.0.0.1:3142 -o Acquire::tor::Proxy=http://127.0.0.1:3142 -o Acquire::Languages=none -o Acquire::IndexTargets::deb::Contents-deb::DefaultEnabled=false -o Apt::Install-Recommends=false -o Acquire::Retries=3 -o Dpkg::Options::=--force-confnew -o Dir::Etc::sourcelist=/tmp/empty -o Dir::Etc::sourceparts=/var/lib/whonix/sources_temp_list.d --yes --no-install-recommends install whonix-gateway-default-applications-gui
Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
  rsyslog vim-common vim-tiny
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  gir1.2-atk-1.0 gir1.2-freedesktop gir1.2-gdkpixbuf-2.0 gir1.2-glib-2.0
  gir1.2-gtk-3.0 gir1.2-pango-1.0 libgirepository-1.0-1 libpangoxft-1.0-0
  onioncircuits python3-gi python3-pycountry
The following NEW packages will be installed:
  gir1.2-atk-1.0 gir1.2-freedesktop gir1.2-gdkpixbuf-2.0 gir1.2-glib-2.0
  gir1.2-gtk-3.0 gir1.2-pango-1.0 libgirepository-1.0-1 libpangoxft-1.0-0
  onioncircuits python3-gi python3-pycountry
  whonix-gateway-default-applications-gui
0 upgraded, 12 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/931 kB of archives.
After this operation, 3743 kB of additional disk space will be used.
Get:1 file:/mnt/initialdeb local/main amd64 whonix-gateway-default-applications-gui all 3:19.6-1 [51.9 kB]
Selecting previously unselected package libgirepository-1.0-1:amd64.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 95787 files and directories currently installed.)
Preparing to unpack .../00-libgirepository-1.0-1_1.58.3-2_amd64.deb ...
Unpacking libgirepository-1.0-1:amd64 (1.58.3-2) ...
Selecting previously unselected package gir1.2-glib-2.0:amd64.
Preparing to unpack .../01-gir1.2-glib-2.0_1.58.3-2_amd64.deb ...
Unpacking gir1.2-glib-2.0:amd64 (1.58.3-2) ...
Selecting previously unselected package python3-gi.
Preparing to unpack .../02-python3-gi_3.30.4-1_amd64.deb ...
Unpacking python3-gi (3.30.4-1) ...
Selecting previously unselected package python3-pycountry.
Preparing to unpack .../03-python3-pycountry_17.5.14+ds1-0.1_all.deb ...
Unpacking python3-pycountry (17.5.14+ds1-0.1) ...
Selecting previously unselected package gir1.2-atk-1.0:amd64.
Preparing to unpack .../04-gir1.2-atk-1.0_2.30.0-2_amd64.deb ...
Unpacking gir1.2-atk-1.0:amd64 (2.30.0-2) ...
Selecting previously unselected package gir1.2-freedesktop:amd64.
Preparing to unpack .../05-gir1.2-freedesktop_1.58.3-2_amd64.deb ...
Unpacking gir1.2-freedesktop:amd64 (1.58.3-2) ...
Selecting previously unselected package gir1.2-gdkpixbuf-2.0:amd64.
Preparing to unpack .../06-gir1.2-gdkpixbuf-2.0_2.38.1+dfsg-1_amd64.deb ...
Unpacking gir1.2-gdkpixbuf-2.0:amd64 (2.38.1+dfsg-1) ...
Selecting previously unselected package libpangoxft-1.0-0:amd64.
Preparing to unpack .../07-libpangoxft-1.0-0_1.42.4-8~deb10u1_amd64.deb ...
Unpacking libpangoxft-1.0-0:amd64 (1.42.4-8~deb10u1) ...
Selecting previously unselected package gir1.2-pango-1.0:amd64.
Preparing to unpack .../08-gir1.2-pango-1.0_1.42.4-8~deb10u1_amd64.deb ...
Unpacking gir1.2-pango-1.0:amd64 (1.42.4-8~deb10u1) ...
Selecting previously unselected package gir1.2-gtk-3.0:amd64.
Preparing to unpack .../09-gir1.2-gtk-3.0_3.24.5-1_amd64.deb ...
Unpacking gir1.2-gtk-3.0:amd64 (3.24.5-1) ...
Selecting previously unselected package onioncircuits.
Preparing to unpack .../10-onioncircuits_0.5-4_all.deb ...
Unpacking onioncircuits (0.5-4) ...
Selecting previously unselected package whonix-gateway-default-applications-gui.
Preparing to unpack .../11-whonix-gateway-default-applications-gui_19.6-1_all.deb ...
Unpacking whonix-gateway-default-applications-gui (3:19.6-1) ...
Setting up libpangoxft-1.0-0:amd64 (1.42.4-8~deb10u1) ...
Setting up python3-pycountry (17.5.14+ds1-0.1) ...
Setting up libgirepository-1.0-1:amd64 (1.58.3-2) ...
Setting up gir1.2-glib-2.0:amd64 (1.58.3-2) ...
Setting up gir1.2-freedesktop:amd64 (1.58.3-2) ...
Setting up gir1.2-gdkpixbuf-2.0:amd64 (2.38.1+dfsg-1) ...
Setting up gir1.2-atk-1.0:amd64 (2.30.0-2) ...
Setting up gir1.2-pango-1.0:amd64 (1.42.4-8~deb10u1) ...
Setting up python3-gi (3.30.4-1) ...
Setting up gir1.2-gtk-3.0:amd64 (3.24.5-1) ...
Setting up onioncircuits (0.5-4) ...
Setting up whonix-gateway-default-applications-gui (3:19.6-1) ...
Processing triggers for mime-support (3.62) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for libc-bin (2.28-10) ...
Processing triggers for man-db (2.8.5-2) ...
Processing triggers for desktop-file-utils (0.23-4) ...
+ local apt_get_exit_code=0
+ apt-get -o Acquire::http::Proxy=http://127.0.0.1:3142 -o Acquire::https::Proxy=http://127.0.0.1:3142 -o Acquire::tor::Proxy=http://127.0.0.1:3142 -o Acquire::Languages=none -o Acquire::IndexTargets::deb::Contents-deb::DefaultEnabled=false -o Apt::Install-Recommends=false -o Acquire::Retries=3 -o Dpkg::Options::=--force-confnew -o Dir::Etc::sourcelist=/tmp/empty -o Dir::Etc::sourceparts=/var/lib/whonix/sources_temp_list.d --yes --no-install-recommends install whonix-gateway-default-applications-gui
Reading package lists...
Building dependency tree...
Reading state information...
whonix-gateway-default-applications-gui is already the newest version (3:19.6-1).
The following packages were automatically installed and are no longer required:
  rsyslog vim-common vim-tiny
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
+ sync
+ sync
+ '[' 0 = 0 ']'
+ true 'INFO: Installed '\''whonix-gateway-default-applications-gui'\'', no error detected.'
+ return 0
+ set +x
INFO: Attempt to install unmet_dependency: whonix-gateway-default-applications-gui done.
+ true 'INFO: Tried to diagnose the problem using function apt_get_parse_unmet_dependency.'
+ error 'See above!'
+ echo '############################################################'
############################################################
+ echo 'ERROR: See above!'
ERROR: See above!
+ echo '############################################################'
############################################################
+ error_reason='See above!'
+ error_ 'See above! (There should be a bold, red message surrounded by blue hashtags (#).)'
pre: line 31: error_: command not found
++ errorhandlerunchrootunpreventunmount ERR
++ last_failed_exit_code=127
++ last_failed_bash_command='error_ "See above! (There should be a bold, red message surrounded by blue hashtags (#).)"'
++ output_cmd_set
++ '[' -o xtrace ']'
++ output_cmd=true
++ errorhandlerprocessshared ERR
++ last_script=././build-steps.d/1700_install-packages
++ trap_signal_type_previous=
++ '[' '' = '' ']'
++ trap_signal_type_previous=unset
++ trap_signal_type_last=ERR
++ whonix_build_error_counter=1
+++ benchmarktimeend 1592554719
++++ date +%s
+++ benchmarktimeend=1592555966
+++ benchmark_took_seconds=1247
++++ convertsecs 1247
++++ local h m s
++++ (( h=1247/3600 ))
++++ true
++++ (( m=(1247%3600)/60 ))
++++ (( s=1247%60 ))
++++ printf '%02d:%02d:%02d\n' 0 20 47
+++ echo 00:20:47
++ benchmark_took_time=00:20:47
++ local first
++ read -r first _
++ processbacktracefunction
++ true 'INFO: BEGIN: processbacktracefunction'
++ '[' -o xtrace ']'
++ set +x
++ true 'INFO: END  : processbacktracefunction'
++ functiontracefunction
++ true 'INFO: BEGIN: functiontracefunction'
++ '[' -o xtrace ']'
++ set +x
++ true 'INFO: END  : functiontracefunction'
++ output_cmd_set
++ '[' -o xtrace ']'
++ output_cmd=true
++ true '
############################################################
ERROR in ././build-steps.d/1700_install-packages detected!

dist_build_version: 15.0.1.3.4
whonix_build_error_counter: 1
benchmark: 00:20:47
last_failed_exit_code: 127
trap_signal_type_previous: unset
trap_signal_type_last    : ERR

process_backtrace_result:
1: : init
2: : /bin/login -p --      
3: : -bash 
4: : sudo ./whonix_build --allow-untagged true --allow-uncommitted true --flavor whonix-gateway-xfce --target root --build 
5: : /bin/bash ./whonix_build --allow-untagged true --allow-uncommitted true --flavor whonix-gateway-xfce --target root --build 
6: : /bin/bash ././build-steps.d/1700_install-packages 

function_trace_result:
main (line number: 391)
main (line number: 387)
install-packages (line number: 366)
pkg-list-install (line number: 194)
pkg-install (line number: 162)
error (line number: 31)
errorhandlerunchrootunpreventunmount (line number: 377)
errorhandlerprocessshared (line number: 196)

See above!
last_failed_bash_command: error_ "See above! (There should be a bold, red message surrounded by blue hashtags (#).)"
############################################################
'
++ unset error_reason
++ '[' ERR = INT ']'
++ '[' ERR = TERM ']'
++ '[' ERR = ERR ']'
++ '[' '!' 1 = 0 ']'
++ '[' '' = '' ']'
++ whonix_build_auto_retry_counter=1
++ '[' -n 1 ']'
++ '[' -n 5 ']'
++ '[' error_ = error_ ']'
++ true 'INFO: No auto retry because first item of last_failed_bash_command is "error_".'
++ unset whonix_build_auto_retry_counter
++ true
++ ignore_error=false
++ answer=
++ '[' ERR = ERR ']'
++ '[' '' = true ']'
++ '[' -t 0 ']'
++ true 'INFO: stdin connected to terminal, using interactive error handler.'
++ true 'ERROR in ././build-steps.d/1700_install-packages detected!

Please have a look above (the block within ###...).

 - Please enter c and press enter to ignore the error and continue building. (Recommended against!)
 - Please press r and enter to retry.
 - Please press s and enter to open an chroot interactive shell.
 - Please press a and enter to abort.'
++ read -p 'Answer? ' answer
Answer? ++ error_handler_do_retry=
++ interactive_chroot_shell=
++ '[' a = continue ']'
++ '[' a = c ']'
++ '[' a = s ']'
++ '[' a = shell ']'
++ '[' a = r ']'
++ '[' a = retry ']'
++ '[' a = a ']'
++ ignore_error=false
++ interactive_chroot_shell=false
++ break
++ '[' false = false ']'
++ /home/user/Whonix/help-steps/remove-local-temp-apt-repo
+ set -e
+ true 'INFO: Currently running script: /home/user/Whonix/help-steps/remove-local-temp-apt-repo '
+++ dirname /home/user/Whonix/help-steps/remove-local-temp-apt-repo
++ cd /home/user/Whonix/help-steps
++ pwd
+ MYDIR=/home/user/Whonix/help-steps
+ source /home/user/Whonix/help-steps/pre
++ '[' '!' '' = true ']'
++ set +x
+ source /home/user/Whonix/help-steps/colors
++ '[' '!' true = true ']'
+ source /home/user/Whonix/help-steps/variables
++ '[' '!' '' = true ']'
++ set +x
INFO: Setting... export UWT_DEV_PASSTHROUGH="1"
INFO: Variable dist_build_version was already set to: 15.0.1.3.4
++ true 'INFO: Currently running script: /home/user/Whonix/help-steps/remove-local-temp-apt-repo '
++ true 'INFO: LD_PRELOAD: '
+ main
+ root_check
++ id -u
+ '[' 0 '!=' 0 ']'
+ echo 'INFO: Script running as root.'
INFO: Script running as root.
+ rm --force //var/lib/whonix/sources_temp_list.d/whonix_temp_initialdeb.list
+ rm --force //var/lib/whonix/sources_temp_list.d/build_sources.list
+ rm --force //var/lib/whonix/sources_temp_list.d/qubes-builder.list
+ '[' '!' '' = '' ']'
+ exithandler
+ local exit_code=0
+ '[' '!' 0 = 0 ']'
++ benchmarktimeend 1592556096
+++ date +%s
++ benchmarktimeend=1592556097
++ benchmark_took_seconds=1
+++ convertsecs 1
+++ local h m s
+++ (( h=1/3600 ))
+++ true
+++ (( m=(1%3600)/60 ))
+++ true
+++ (( s=1%60 ))
+++ printf '%02d:%02d:%02d\n' 0 0 1
++ echo 00:00:01
+ benchmark_took_time=00:00:01
+ output_cmd_set
+ '[' -o xtrace ']'
+ output_cmd=true
+ '[' 0 = 0 ']'
+ true 'INFO: End of: /home/user/Whonix/help-steps/remove-local-temp-apt-repo | exit_code: 0 | error(s) detected: 0 | benchmark: 00:00:01'
+ exit 0
++ /home/user/Whonix/help-steps/unchroot-raw
+ set -e
+ true 'INFO: Currently running script: /home/user/Whonix/help-steps/unchroot-raw '
+++ dirname /home/user/Whonix/help-steps/unchroot-raw
++ cd /home/user/Whonix/help-steps
++ pwd
+ MYDIR=/home/user/Whonix/help-steps
+ source /home/user/Whonix/help-steps/pre
++ '[' '!' '' = true ']'
++ set +x
+ source /home/user/Whonix/help-steps/colors
++ '[' '!' true = true ']'
+ source /home/user/Whonix/help-steps/variables
++ '[' '!' '' = true ']'
++ set +x
INFO: Setting... export UWT_DEV_PASSTHROUGH="1"
INFO: Variable dist_build_version was already set to: 15.0.1.3.4
++ true 'INFO: Currently running script: /home/user/Whonix/help-steps/unchroot-raw '
++ true 'INFO: LD_PRELOAD: '
+ main
+ trap error_handler_unchroot-raw ERR INT TERM
+ root_check
++ id -u
+ '[' 0 '!=' 0 ']'
+ echo 'INFO: Script running as root.'
INFO: Script running as root.
+ sync
+ '[' 1 = 1 ']'
+ true
+ umount /usr/bin/udevadm
+ rm --force /usr/bin/udevadm
+ umount //mnt/initialdeb
+ rmdir --ignore-fail-on-non-empty //mnt/initialdeb
+ umount /etc/resolv.conf
+ umount /etc/hosts
+ umount /etc/hostname
+ umount /etc/network/interfaces
umount: /etc/network/interfaces: not mounted.
+ true
+ '[' 1 = 1 ']'
+ true
+ sync
+ exithandler
+ local exit_code=0
+ '[' '!' 0 = 0 ']'
++ benchmarktimeend 1592556097
+++ date +%s
++ benchmarktimeend=1592556101
++ benchmark_took_seconds=4
+++ convertsecs 4
+++ local h m s
+++ (( h=4/3600 ))
+++ true
+++ (( m=(4%3600)/60 ))
+++ true
+++ (( s=4%60 ))
+++ printf '%02d:%02d:%02d\n' 0 0 4
++ echo 00:00:04
+ benchmark_took_time=00:00:04
+ output_cmd_set
+ '[' -o xtrace ']'
+ output_cmd=true
+ '[' 0 = 0 ']'
+ true 'INFO: End of: /home/user/Whonix/help-steps/unchroot-raw | exit_code: 0 | error(s) detected: 0 | benchmark: 00:00:04'
+ exit 0
++ /home/user/Whonix/help-steps/unprevent-daemons-from-starting
+ set -e
+ true 'INFO: Currently running script: /home/user/Whonix/help-steps/unprevent-daemons-from-starting '
+++ dirname /home/user/Whonix/help-steps/unprevent-daemons-from-starting
++ cd /home/user/Whonix/help-steps
++ pwd
+ MYDIR=/home/user/Whonix/help-steps
+ source /home/user/Whonix/help-steps/pre
++ '[' '!' '' = true ']'
++ set +x
+ source /home/user/Whonix/help-steps/colors
++ '[' '!' true = true ']'
+ source /home/user/Whonix/help-steps/variables
++ '[' '!' '' = true ']'
++ set +x
INFO: Setting... export UWT_DEV_PASSTHROUGH="1"
INFO: Variable dist_build_version was already set to: 15.0.1.3.4
++ true 'INFO: Currently running script: /home/user/Whonix/help-steps/unprevent-daemons-from-starting '
++ true 'INFO: LD_PRELOAD: '
+ main
+ root_check
++ id -u
+ '[' 0 '!=' 0 ']'
+ echo 'INFO: Script running as root.'
INFO: Script running as root.
+ sync
+ rm --verbose --force /usr/sbin/policy-rc.d
removed '/usr/sbin/policy-rc.d'
+ sync
+ exithandler
+ local exit_code=0
+ '[' '!' 0 = 0 ']'
++ benchmarktimeend 1592556101
+++ date +%s
++ benchmarktimeend=1592556104
++ benchmark_took_seconds=3
+++ convertsecs 3
+++ local h m s
+++ (( h=3/3600 ))
+++ true
+++ (( m=(3%3600)/60 ))
+++ true
+++ (( s=3%60 ))
+++ printf '%02d:%02d:%02d\n' 0 0 3
++ echo 00:00:03
+ benchmark_took_time=00:00:03
+ output_cmd_set
+ '[' -o xtrace ']'
+ output_cmd=true
+ '[' 0 = 0 ']'
+ true 'INFO: End of: /home/user/Whonix/help-steps/unprevent-daemons-from-starting | exit_code: 0 | error(s) detected: 0 | benchmark: 00:00:03'
+ exit 0
++ /home/user/Whonix/help-steps/unmount-raw
+ set -e
+ true 'INFO: Currently running script: /home/user/Whonix/help-steps/unmount-raw '
+++ dirname /home/user/Whonix/help-steps/unmount-raw
++ cd /home/user/Whonix/help-steps
++ pwd
+ MYDIR=/home/user/Whonix/help-steps
+ source /home/user/Whonix/help-steps/pre
++ '[' '!' '' = true ']'
++ set +x
+ source /home/user/Whonix/help-steps/colors
++ '[' '!' true = true ']'
+ source /home/user/Whonix/help-steps/variables
++ '[' '!' '' = true ']'
++ set +x
INFO: Setting... export UWT_DEV_PASSTHROUGH="1"
INFO: Variable dist_build_version was already set to: 15.0.1.3.4
++ true 'INFO: Currently running script: /home/user/Whonix/help-steps/unmount-raw '
++ true 'INFO: LD_PRELOAD: '
+ main
+ root_check
++ id -u
+ '[' 0 '!=' 0 ']'
+ echo 'INFO: Script running as root.'
INFO: Script running as root.
+ '[' 1 = 1 ']'
+ true 'INFO: Skipping script, because ANON_BUILD_INSTALL_TO_ROOT=1: /home/user/Whonix/help-steps/unmount-raw'
+ exit 0
+ exithandler
+ local exit_code=0
+ '[' '!' 0 = 0 ']'
++ benchmarktimeend 1592556104
+++ date +%s
++ benchmarktimeend=1592556105
++ benchmark_took_seconds=1
+++ convertsecs 1
+++ local h m s
+++ (( h=1/3600 ))
+++ true
+++ (( m=(1%3600)/60 ))
+++ true
+++ (( s=1%60 ))
+++ printf '%02d:%02d:%02d\n' 0 0 1
++ echo 00:00:01
+ benchmark_took_time=00:00:01
+ output_cmd_set
+ '[' -o xtrace ']'
+ output_cmd=true
+ '[' 0 = 0 ']'
+ true 'INFO: End of: /home/user/Whonix/help-steps/unmount-raw | exit_code: 0 | error(s) detected: 0 | benchmark: 00:00:01'
+ exit 0
++ errorhandlermaybeexit ERR
++ '[' '' = true ']'
++ '[' false = true ']'
++ abort_or_continue=Aborted
++ rm --force /etc/apt/sources.list.d/whonix_temp.list
++ rm --force /run/package_manager_lock
++ '[' false = true ']'
++ '[' ERR = INT ']'
++ '[' ERR = TERM ']'
++ trap - EXIT
++ true 'INFO: Now exiting from ././build-steps.d/1700_install-packages (because error was detected, see above) with exit code 1.'
++ exit 1
++ error_handler_whonix_build_one
++ true 'ERROR in ./whonix_build'
++ true 'BASH_COMMAND: "./$whonix_build_one_build_step_current"'
++ true 'whonix_build_one_build_step_current: ./build-steps.d/1700_install-packages'
++ true 'args: --allow-untagged true --allow-uncommitted true --flavor whonix-gateway-xfce --target root --build'
++ true 'INFO: Now exiting from ./whonix_build (because error was detected, see above).'
++ exit 1
+ exithandler
+ local exit_code=1
+ '[' '!' 1 = 0 ']'
+ exit 1

The log is too short. It doesn’t show the original package installation failure. Can’t analyze further without longer log.

Thanks for the quick response. I guess it would help to include the 1700 section…

https://paste.debian.net/1153115/

https://paste.debian.net/1153116/

https://paste.debian.net/1153117/

https://paste.debian.net/1153118/

+ echo '/var/lib/dpkg/tmp.ci/preinst: ERROR: No user is a member of group '\''console'\''. Installation aborted.'
/var/lib/dpkg/tmp.ci/preinst: ERROR: No user is a member of group 'console'. Installation aborted.
+ echo '/var/lib/dpkg/tmp.ci/preinst: ERROR: You probably want to run:'
/var/lib/dpkg/tmp.ci/preinst: ERROR: You probably want to run:
+ echo ''

+ echo 'sudo adduser user console'
sudo adduser user console
+ echo ''

+ echo '/var/lib/dpkg/tmp.ci/preinst: ERROR: See also installation instructions:'
/var/lib/dpkg/tmp.ci/preinst: ERROR: See also installation instructions:
+ echo https://www.whonix.org/wiki/security-misc#install
https://www.whonix.org/wiki/security-misc#install

security-misc were made and then physical isolation documentation not considered. Added just now:
https://www.whonix.org/wiki/Dev/Build_Documentation/Physical_Isolation#System_Preparation

While that was correct to add and results in less errors during build I am not sure that would fix this build issue.

Try running after build:

sudo update-grub

Now added too.

This is a wiki. Want to improve this page? Help is welcome and volunteer contributions are happily considered! Read, understand and agree to Conditions for Contributions to Whonix ™, then Edit! Edits are held for moderation.

I have the same problem.

Have try to run sudo update-grub after build
but it doesn’t help

I will post a fix for this issue shortly in the other thread here: Whonix gateway doesn't want to start.

[Imprint] [Privacy Policy] [Cookie Policy] [Terms of Use] [E-Sign Consent] [DMCA] [Investors] [Priority Support] [Professional Support]